/* TRScpConnectionExample.java 
 * 
 * Copyright (c) 2010, Comsec TR Pty. Ltd., Sydney Australia. 
 * All rights reserved. 
 * 
 * No part of this program may be reproduced, stored in a retrieval system 
 * or transmitted in any form or by any means, electronic, mechanical, 
 * recording or otherwise, without the prior written permission of the 
 * author. 
 */ 
package com.arunta.app.remote.example;

import java.io.IOException;

import com.arunta.app.remote.TRScpConnection;

public class TRScpConnectionExample {

    public static void main(String[] args) throws IOException {
        
        TRScpConnection scpConnection = 
            new TRScpConnection("192.168.4.115", "totalrecall");
        
        if (!scpConnection.isAuthorized())
            System.out.println("Authorisation FAILED");
        else {
            System.out.println("Authorised!!!");
            scpConnection.getRemoteFile("/home/totalrecall/tmp/systemLogJ", "c:\\");
            scpConnection.putAsLocalFile("c:\\systemLogJ", "/tmp/systemLogX", "0644");
        }
        
        scpConnection.close();
    }

}
